## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 19;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# We must use a GitHub snapshot because the PyPI sdist lacks the LICENSE file
# (https://github.com/MobileDynasty/pytest-env/issues/6) and releases are not
# tagged on GitHub.
%global commit afb13a0e908f649b69273f299262ac12f1b71113
%global snapdate 20170617

Name:           python-pytest-env
Version:        0.6.2^%{snapdate}git%{sub %{commit} 1 7}
Release:        %autorelease
Summary:        Plugin for pytest that allows you to add environment variables

# SPDX
License:        MIT
URL:            https://github.com/MobileDynasty/pytest-env
Source:         %{url}/archive/%{commit}/pytest-env-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
This is a py.test plugin that enables you to set environment variables in the
pytest.ini file.}

%description %{common_description}


%package -n     python3-pytest-env
Summary:        %{summary}

%description -n python3-pytest-env %{common_description}


%prep
%autosetup -n pytest-env-%{commit}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pytest_env


%check
# Upstream has no tests.
%pyproject_check_import


%files -n python3-pytest-env -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2^20170617gitafb13a0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2^20170617gitafb13a0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.6.2^20170617gitafb13a0-17
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2^20170617gitafb13a0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2^20170617gitafb13a0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.2^20170617gitafb13a0-12
- Assert that %%pyproject_files contains a license file

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2^20170617gitafb13a0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.6.2^20170617gitafb13a0-10
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2^20170617gitafb13a0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.2^20170617gitafb13a0-6
- Confirm License is SPDX MIT

* Wed Nov 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.2^20170617gitafb13a0-5
- Drop default argument -r for pyproject_buildrequires

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2^20170617gitafb13a0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 07 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.2^20170617gitafb13a0-3
- Fix extra newline in description

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.6.2^20170617gitafb13a0-2
- Rebuilt for Python 3.11

* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.2^20170617gitafb13a0-1
- Update to 0.6.2

* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.1^20170608git8f5339a-1
- Initial package (close RHBZ#2068097)
## END: Generated by rpmautospec
